# Uses of Package
org.yaml.snakeyaml.scanner

Packages that use org.yaml.snakeyaml.scanner
Package | Description
--- | ---
org.yaml.snakeyaml.parser |
org.yaml.snakeyaml.scanner |

Classes in org.yaml.snakeyaml.scanner used by org.yaml.snakeyaml.parser
Class and Description
Scanner This interface represents an input stream of `Token`s.

Classes in org.yaml.snakeyaml.scanner used by org.yaml.snakeyaml.scanner
Class and Description
Constant
Scanner This interface represents an input stream of `Token`s.

ScannerImpl
Scanner produces tokens of the following types: STREAM-START STREAM-END COMMENT DIRECTIVE(name, value) DOCUMENT-START DOCUMENT-END BLOCK-SEQUENCE-START BLOCK-MAPPING-START BLOCK-END FLOW-SEQUENCE-START FLOW-MAPPING-START FLOW-SEQUENCE-END FLOW-MAPPING-END BLOCK-ENTRY FLOW-ENTRY KEY VALUE ALIAS(value) ANCHOR(value) TAG(value) SCALAR(value, plain, style) Read comments in the Scanner code for more details.